Package org.eclipse.rdf4j.federated.optimizer

## Class FilterOptimizer.FilterBindingFinder

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<OptimizationException>
  - - org.eclipse.rdf4j.federated.optimizer.FilterOptimizer.FilterBindingFinder

- All Implemented Interfaces:
    `QueryModelVisitor<OptimizationException>`
  Enclosing class:
    FilterOptimizer

      protected static class FilterOptimizer.FilterBindingFinder
      extends AbstractQueryModelVisitor<OptimizationException>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `isFilterOnAssignedBinding` |
    `protected Set<String>` | `vars` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FilterBindingFinder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isFilterOnAssignedBinding​(TupleExpr expr, Set<String> filterArgs)` |
    `void` | `meet​(BindingSetAssignment node)` |
    `void` | `meet​(Extension node)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vars

          protected Set<String> vars

    - #### isFilterOnAssignedBinding

          protected boolean isFilterOnAssignedBinding

  - ### Constructor Detail

    - #### FilterBindingFinder

          protected FilterBindingFinder()

  - ### Method Detail

    - #### isFilterOnAssignedBinding

          public boolean isFilterOnAssignedBinding​(TupleExpr expr,
                                                   Set<String> filterArgs)

    - #### meet

          public void meet​(Extension node)

      Specified by:
        `meet` in interface `QueryModelVisitor<OptimizationException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<OptimizationException>`

    - #### meet

          public void meet​(BindingSetAssignment node)

      Specified by:
        `meet` in interface `QueryModelVisitor<OptimizationException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<OptimizationException>`